diff -Nurd kdebase-3.5.10/kcontrol/kfontinst/kcmfontinst/Makefile.am kdebase-3.5.10-new/kcontrol/kfontinst/kcmfontinst/Makefile.am
--- kdebase-3.5.10/kcontrol/kfontinst/kcmfontinst/Makefile.am	2005-09-10 01:25:09.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/kfontinst/kcmfontinst/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -4,10 +4,10 @@
 endif
 
 kde_module_LTLIBRARIES = kcm_fontinst.la
-kcm_fontinst_la_LIBADD  = $(LIB_KIO) $(FONTINST_PRINT_LIB) $(LIBFREETYPE_LIBS) $(LIBFONTCONFIG_LIBS) ../lib/libkfontinst.la
+kcm_fontinst_la_LIBADD  = $(LIBFREETYPE_LIBS) $(LIBFONTCONFIG_LIBS) $(LIB_KIO) $(FONTINST_PRINT_LIB) ../lib/libkfontinst.la
 METASOURCES = AUTO
 kcm_fontinst_la_LDFLAGS = $(KDE_PLUGIN) $(all_libraries) $(KDE_RPATH) -module -avoid-version -no-undefined
-AM_CPPFLAGS = -I$(srcdir)/../lib $(FONTINST_PRINT_INC) -I$(srcdir)/../../fonts $(all_includes) $(LIBFREETYPE_CFLAGS) $(LIBFONTCONFIG_CFLAGS)
+AM_CPPFLAGS = -I$(srcdir)/../lib $(FONTINST_PRINT_INC) -I$(srcdir)/../../fonts $(LIBFREETYPE_CFLAGS) $(LIBFONTCONFIG_CFLAGS) $(all_includes)
  
 xdg_apps_DATA = kcmfontinst.desktop
  
diff -Nurd kdebase-3.5.10/kcontrol/kfontinst/kfile-plugin/Makefile.am kdebase-3.5.10-new/kcontrol/kfontinst/kfile-plugin/Makefile.am
--- kdebase-3.5.10/kcontrol/kfontinst/kfile-plugin/Makefile.am	2005-09-10 01:25:09.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/kfontinst/kfile-plugin/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -1,13 +1,13 @@
 kde_module_LTLIBRARIES = kfile_font.la
 
 kfile_font_la_SOURCES = KFileFont.cpp
-kfile_font_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIBFREETYPE_RPATH) -module $(KDE_PLUGIN)
-kfile_font_la_LIBADD = $(LIB_KIO) $(LIBFREETYPE_LIBS) ../lib/libkfontinst.la
+kfile_font_la_LDFLAGS = $(LIBFREETYPE_RPATH) $(all_libraries) $(KDE_RPATH) -module $(KDE_PLUGIN)
+kfile_font_la_LIBADD = $(LIBFREETYPE_LIBS) $(LIB_KIO) ../lib/libkfontinst.la
 
 kdelnkdir = $(kde_servicesdir)
 kde_services_DATA = kfile_font.desktop
 
-AM_CPPFLAGS = -I$(srcdir)/../lib -I$(srcdir)/../../fonts $(all_includes) $(LIBFREETYPE_CFLAGS)
+AM_CPPFLAGS = -I$(srcdir)/../lib -I$(srcdir)/../../fonts $(LIBFREETYPE_CFLAGS) $(all_includes)
 
 METASOURCES = AUTO
 noinst_HEADERS = KFileFont.h
diff -Nurd kdebase-3.5.10/kcontrol/kfontinst/kfontinst/Main.cpp kdebase-3.5.10-new/kcontrol/kfontinst/kfontinst/Main.cpp
--- kdebase-3.5.10/kcontrol/kfontinst/kfontinst/Main.cpp	2007-05-14 00:55:38.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/kfontinst/kfontinst/Main.cpp	2010-05-13 05:26:40.000000000 -0700
@@ -190,7 +190,7 @@
         KFI::CXConfig::refreshPaths(true);
 }
 
-int main(int argc, char *argv[])
+extern "C" KDE_EXPORT int kdemain(int argc, char *argv[])
 {
 #ifdef HAVE_GETOPT_H
     static struct option options[]=
diff -Nurd kdebase-3.5.10/kcontrol/kfontinst/kfontinst/Makefile.am kdebase-3.5.10-new/kcontrol/kfontinst/kfontinst/Makefile.am
--- kdebase-3.5.10/kcontrol/kfontinst/kfontinst/Makefile.am	2007-05-14 00:55:38.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/kfontinst/kfontinst/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -1,5 +1,8 @@
-bin_PROGRAMS = kfontinst
-kfontinst_SOURCES = \
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kfontinst.la
+
+kfontinst_la_SOURCES = \
 Main.cpp \
 FontEngine.cpp \
 Fontmap.cpp \
@@ -11,6 +14,6 @@
 Fontmap.h \
 XConfig.h
 
-kfontinst_LDADD = ../../fonts/libkxftconfig.la $(LIBFONTCONFIG_LIBS) $(LIBFREETYPE_LIBS) $(LIBZ) $(LIB_KIO) ../lib/libkfontinst.la
-kfontinst_LDFLAGS = $(all_libraries) $(LIBFONTCONFIG_RPATH) $(LIBFREETYPE_RPATH) $(KDE_RPATH)
-AM_CPPFLAGS= -DOS_$(UNAME) -I$(srcdir)/../lib -I$(srcdir)/../../fonts $(all_includes) $(LIBFREETYPE_CFLAGS) $(LIBFONTCONFIG_CFLAGS)
+kfontinst_la_LIBADD = $(LIBFONTCONFIG_LIBS) $(LIBFREETYPE_LIBS) ../../fonts/libkxftconfig.la $(LIBZ) $(LIB_KIO) ../lib/libkfontinst.la
+kfontinst_la_LDFLAGS = $(LIBFONTCONFIG_RPATH) $(LIBFREETYPE_RPATH) $(all_libraries) $(KDE_PLUGIN) -module
+AM_CPPFLAGS= -DOS_$(UNAME) -I$(srcdir)/../lib -I$(srcdir)/../../fonts $(LIBFREETYPE_CFLAGS) $(LIBFONTCONFIG_CFLAGS) $(all_includes)
diff -Nurd kdebase-3.5.10/kcontrol/kfontinst/kio/Makefile.am kdebase-3.5.10-new/kcontrol/kfontinst/kio/Makefile.am
--- kdebase-3.5.10/kcontrol/kfontinst/kio/Makefile.am	2005-09-10 01:25:09.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/kfontinst/kio/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -2,9 +2,9 @@
 kio_fonts_la_SOURCES = \
 KioFonts.cpp
 
-kio_fonts_la_LIBADD = ../../fonts/libkxftconfig.la $(LIBFONTCONFIG_LIBS) $(LIBFREETYPE_LIBS) $(LIB_KIO) -lkdesu ../lib/libkfontinst.la
-kio_fonts_la_LDFLAGS = $(KDE_PLUGIN) $(all_libraries) $(KDE_RPATH) $(LIBFONTCONFIG_RPATH) $(LIBFREETYPE_RPATH) -module -avoid-version -no-undefined
-AM_CPPFLAGS= -I$(srcdir)/../lib -I$(srcdir)/../../fonts $(all_includes) $(LIBFREETYPE_CFLAGS) $(LIBFONTCONFIG_CFLAGS) -D_LARGEFILE64_SOURCE
+kio_fonts_la_LIBADD = $(LIBFONTCONFIG_LIBS) $(LIBFREETYPE_LIBS) ../../fonts/libkxftconfig.la $(LIB_KIO) -lkdesu ../lib/libkfontinst.la
+kio_fonts_la_LDFLAGS = $(LIBFONTCONFIG_RPATH) $(LIBFREETYPE_RPATH) $(KDE_PLUGIN) $(all_libraries) $(KDE_RPATH) -module -avoid-version -no-undefined
+AM_CPPFLAGS= -I$(srcdir)/../lib -I$(srcdir)/../../fonts $(LIBFREETYPE_CFLAGS) $(LIBFONTCONFIG_CFLAGS) -D_LARGEFILE64_SOURCE $(all_includes)
 
 # The kxftconfig stuf really belongs to kdebase/kcontrol/fonts - here only so that can distribute this as an archive.
 noinst_HEADERS = \
diff -Nurd kdebase-3.5.10/kcontrol/kfontinst/lib/FcEngine.h kdebase-3.5.10-new/kcontrol/kfontinst/lib/FcEngine.h
--- kdebase-3.5.10/kcontrol/kfontinst/lib/FcEngine.h	2005-09-10 01:25:09.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/kfontinst/lib/FcEngine.h	2010-05-13 05:26:40.000000000 -0700
@@ -5,6 +5,8 @@
 #include "config.h"
 #endif
 
+#define KFI_FC_NO_WIDTHS 1
+
 #include <qstring.h>
 #include <qvaluevector.h>
 #include <qfont.h>
diff -Nurd kdebase-3.5.10/kcontrol/kfontinst/lib/Makefile.am kdebase-3.5.10-new/kcontrol/kfontinst/lib/Makefile.am
--- kdebase-3.5.10/kcontrol/kfontinst/lib/Makefile.am	2005-09-10 01:25:09.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/kfontinst/lib/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -9,6 +9,6 @@
 FcEngine.h \
 KfiConstants.h
 
-libkfontinst_la_LIBADD = $(LIB_KDECORE) $(LIBFONTCONFIG_LIBS) $(LIBFREETYPE_LIBS) $(LIB_KIO) $(LIBXFT_LIB)
-libkfontinst_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIBFONTCONFIG_RPATH) $(LIBFREETYPE_RPATH) -no-undefined
-AM_CPPFLAGS= $(all_includes) $(LIBFREETYPE_CFLAGS) $(LIBFONTCONFIG_CFLAGS) -D_LARGEFILE64_SOURCE
+libkfontinst_la_LIBADD = $(LIBFONTCONFIG_LIBS) $(LIBFREETYPE_LIBS) $(LIB_KDECORE) $(LIB_KIO) $(LIBXFT_LIB)
+libkfontinst_la_LDFLAGS = $(LIBFONTCONFIG_RPATH) $(LIBFREETYPE_RPATH) $(all_libraries) $(KDE_RPATH) -no-undefined
+AM_CPPFLAGS= $(LIBFREETYPE_CFLAGS) $(LIBFONTCONFIG_CFLAGS) -D_LARGEFILE64_SOURCE $(all_includes)
diff -Nurd kdebase-3.5.10/kcontrol/kfontinst/thumbnail/Makefile.am kdebase-3.5.10-new/kcontrol/kfontinst/thumbnail/Makefile.am
--- kdebase-3.5.10/kcontrol/kfontinst/thumbnail/Makefile.am	2005-09-10 01:25:09.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/kfontinst/thumbnail/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -2,7 +2,7 @@
 
 fontthumbnail_la_SOURCES = FontThumbnail.cpp
 fontthumbnail_la_LIBADD = $(LIBFREETYPE_LIBS) $(LIB_KDECORE) $(LIB_KIO) ../lib/libkfontinst.la
-fontthumbnail_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIBFREETYPE_RPATH) -module $(KDE_PLUGIN)
+fontthumbnail_la_LDFLAGS = $(KDE_RPATH) $(LIBFREETYPE_RPATH) -module $(KDE_PLUGIN) $(all_libraries)
 METASOURCES = AUTO
 
 noinst_HEADERS = FontThumbnail.h
@@ -11,4 +11,4 @@
 
 kde_services_DATA = fontthumbnail.desktop
 
-AM_CPPFLAGS= -I$(srcdir)/../lib -I$(srcdir)/../../fonts $(all_includes) $(LIBFREETYPE_CFLAGS)
+AM_CPPFLAGS= -I$(srcdir)/../lib -I$(srcdir)/../../fonts $(LIBFREETYPE_CFLAGS) $(all_includes)
diff -Nurd kdebase-3.5.10/kcontrol/kfontinst/viewpart/FontViewerApp.cpp kdebase-3.5.10-new/kcontrol/kfontinst/viewpart/FontViewerApp.cpp
--- kdebase-3.5.10/kcontrol/kfontinst/viewpart/FontViewerApp.cpp	2005-10-10 08:03:47.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/kfontinst/viewpart/FontViewerApp.cpp	2010-05-13 05:26:40.000000000 -0700
@@ -116,7 +116,7 @@
                             KAboutData::License_GPL,
                             I18N_NOOP("(c) Craig Drummond, 2004"));
 
-int main(int argc, char **argv)
+extern "C" KDE_EXPORT int kdemain(int argc, char **argv)
 {
     KCmdLineArgs::init(argc, argv, &aboutData);
     KCmdLineArgs::addCmdLineOptions(options);
diff -Nurd kdebase-3.5.10/kcontrol/kfontinst/viewpart/Makefile.am kdebase-3.5.10-new/kcontrol/kfontinst/viewpart/Makefile.am
--- kdebase-3.5.10/kcontrol/kfontinst/viewpart/Makefile.am	2005-09-10 01:25:09.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/kfontinst/viewpart/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -13,18 +13,21 @@
 
 kde_services_DATA = kfontviewpart.desktop
 
-AM_CPPFLAGS = -I$(srcdir)/../lib -I$(srcdir)/../../fonts $(all_includes) $(LIBFREETYPE_CFLAGS) $(LIBFONTCONFIG_CFLAGS)
+AM_CPPFLAGS = -I$(srcdir)/../lib -I$(srcdir)/../../fonts $(LIBFREETYPE_CFLAGS) $(LIBFONTCONFIG_CFLAGS) $(all_includes)
 METASOURCES = AUTO
 
-kfontview_LDADD = $(LIB_KPARTS)
-kfontview_LDFLAGS = $(all_libraries) $(KDE_RPATH)
+kfontview_la_LIBADD = $(LIB_KPARTS)
+kfontview_la_LDFLAGS = $(KDE_PLUGIN) -module $(all_libraries)
+
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kfontview.la
 
-bin_PROGRAMS = kfontview
 xdg_apps_DATA = kfontview.desktop
 
 appdata_DATA = kfontviewpart.rc kfontviewui.rc
 appdatadir = $(kde_datadir)/kfontview
 
-kfontview_SOURCES = FontViewerApp.cpp
+kfontview_la_SOURCES = FontViewerApp.cpp
 
 
diff -Nurd kdebase-3.5.10/kcontrol/kicker/Makefile.am kdebase-3.5.10-new/kcontrol/kicker/Makefile.am
--- kdebase-3.5.10/kcontrol/kicker/Makefile.am	2005-09-10 01:25:09.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/kicker/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -7,7 +7,7 @@
                         positionconfig.cpp hidingconfig.cpp menuconfig.cpp lookandfeelconfig.cpp
 
 kcm_kicker_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
-kcm_kicker_la_LIBADD = $(top_builddir)/kicker/libkicker/libkickermain.la ../background/libbgnd.la $(LIB_KIO) $(LIB_KUTILS)
+kcm_kicker_la_LIBADD = $(top_builddir)/kicker/libkicker/libkickermain.la ../background/libbgnd.la $(LIB_KIO) $(LIB_KUTILS) $(LIB_QT) $(LIB_KDECORE) -lkdefx -lDCOP
 AM_CPPFLAGS = -I$(top_srcdir)/kicker/kicker/core -I$(top_srcdir)/kicker/libkicker \
 	-I$(top_builddir)/kicker/libkicker -I$(srcdir)/../background $(all_includes)
 
diff -Nurd kdebase-3.5.10/kcontrol/kio/Makefile.am kdebase-3.5.10-new/kcontrol/kio/Makefile.am
--- kdebase-3.5.10/kcontrol/kio/Makefile.am	2005-09-10 01:25:10.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/kio/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -17,7 +17,7 @@
       manualproxy_ui.ui envvarproxy_ui.ui cache_ui.ui
 
 kcm_kio_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kcm_kio_la_LIBADD = $(LIB_KIO) $(LIB_KUTILS)
+kcm_kio_la_LIBADD = $(LIB_KIO) $(LIB_KUTILS) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP
 
 messages: rc.cpp
 	$(XGETTEXT) *.cpp -o $(podir)/kcmkio.pot
diff -Nurd kdebase-3.5.10/kcontrol/knotify/Makefile.am kdebase-3.5.10-new/kcontrol/knotify/Makefile.am
--- kdebase-3.5.10/kcontrol/knotify/Makefile.am	2005-09-10 01:25:04.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/knotify/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -5,7 +5,7 @@
 kcm_knotify_la_SOURCES = knotify.cpp playersettings.ui
 
 kcm_knotify_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
-kcm_knotify_la_LIBADD = $(LIB_KIO)
+kcm_knotify_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP
 AM_CPPFLAGS = $(all_includes)
  
 METASOURCES = AUTO 
diff -Nurd kdebase-3.5.10/kcontrol/konq/Makefile.am kdebase-3.5.10-new/kcontrol/konq/Makefile.am
--- kdebase-3.5.10/kcontrol/konq/Makefile.am	2005-09-10 01:25:08.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/konq/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -11,7 +11,7 @@
 		desktopbehavior.ui
 
 kcm_konq_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
-kcm_konq_la_LIBADD = $(LIB_KIO) $(LIB_KDEUI) $(LIB_KSYCOCA) $(LIB_KUTILS)
+kcm_konq_la_LIBADD = $(LIB_KIO) $(LIB_KDEUI) $(LIB_KSYCOCA) $(LIB_KUTILS) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 
 kcm_konq_la_DATA = overlapping.png onlyone.png
 kcm_konq_ladir = $(kde_datadir)/kcontrol/pics
diff -Nurd kdebase-3.5.10/kcontrol/konqhtml/Makefile.am kdebase-3.5.10-new/kcontrol/konqhtml/Makefile.am
--- kdebase-3.5.10/kcontrol/konqhtml/Makefile.am	2005-09-10 01:25:11.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/konqhtml/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -13,7 +13,7 @@
 			     filteropts.cpp
 
 kcm_konqhtml_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
-kcm_konqhtml_la_LIBADD = -lkhtml -lkdeui
+kcm_konqhtml_la_LIBADD = -lkhtml -lkdeui $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP $(LIB_KIO)
 
 xdg_apps_DATA = khtml_behavior.desktop khtml_java_js.desktop khtml_fonts.desktop khtml_filter.desktop
 
diff -Nurd kdebase-3.5.10/kcontrol/konsole/Makefile.am kdebase-3.5.10-new/kcontrol/konsole/Makefile.am
--- kdebase-3.5.10/kcontrol/konsole/Makefile.am	2005-09-10 01:25:12.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/konsole/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -4,7 +4,7 @@
 	schemadialog.ui sessiondialog.ui kcmkonsoledialog.ui
 
 kcm_konsole_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
-kcm_konsole_la_LIBADD = -lkdeui $(LIB_KIO)
+kcm_konsole_la_LIBADD = -lkdeui $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) -lDCOP -lkdefx
 AM_CPPFLAGS = $(all_includes) 
 
 METASOURCES = AUTO 
diff -Nurd kdebase-3.5.10/kcontrol/krdb/Makefile.am kdebase-3.5.10-new/kcontrol/krdb/Makefile.am
--- kdebase-3.5.10/kcontrol/krdb/Makefile.am	2005-09-10 01:25:01.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/krdb/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -5,7 +5,7 @@
 
 noinst_LTLIBRARIES = libkrdb.la
 libkrdb_la_SOURCES = krdb.cpp
-libkrdb_la_LIBADD = $(LIB_KDECORE)
+libkrdb_la_LIBADD = $(LIB_KDECORE) $(LIB_QT) $(LIB_KDECORE)
 libkrdb_la_LDFLAGS = -no-undefined $(all_libraries) 
 
 messages:
diff -Nurd kdebase-3.5.10/kcontrol/kthememanager/Makefile.am kdebase-3.5.10-new/kcontrol/kthememanager/Makefile.am
--- kdebase-3.5.10/kcontrol/kthememanager/Makefile.am	2005-09-10 01:25:12.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/kthememanager/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -4,7 +4,7 @@
 kde_module_LTLIBRARIES = kcm_kthememanager.la
 
 kcm_kthememanager_la_SOURCES = kthemedlg.ui newthemewidget.ui knewthemedlg.cpp ktheme.cpp kthememanager.cpp
-kcm_kthememanager_la_LIBADD = $(LIB_KIO)
+kcm_kthememanager_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP -lkdefx
 kcm_kthememanager_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 noinst_HEADERS = kthememanager.h ktheme.h knewthemedlg.h kthemedlg.ui.h
diff -Nurd kdebase-3.5.10/kcontrol/launch/Makefile.am kdebase-3.5.10-new/kcontrol/launch/Makefile.am
--- kdebase-3.5.10/kcontrol/launch/Makefile.am	2005-09-10 01:25:12.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/launch/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -3,7 +3,7 @@
 AM_CPPFLAGS                      = $(all_includes) 
 kcm_launch_la_SOURCES      = kcmlaunch.cpp
 kcm_launch_la_LDFLAGS      = $(all_libraries) $(KDE_PLUGIN) -module
-kcm_launch_la_LIBADD       = $(LIB_KDEUI)
+kcm_launch_la_LIBADD       = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 METASOURCES  = AUTO
 noinst_HEADERS                = kcmlaunch.h
 xdg_apps_DATA = kcmlaunch.desktop
diff -Nurd kdebase-3.5.10/kcontrol/locale/Makefile.am kdebase-3.5.10-new/kcontrol/locale/Makefile.am
--- kdebase-3.5.10/kcontrol/locale/Makefile.am	2005-09-10 01:25:08.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/locale/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -10,7 +10,7 @@
 noinst_HEADERS = toplevel.h kcmlocale.h klocalesample.h localenum.h localemon.h localetime.h localeother.h 
 
 kcm_locale_la_LDFLAGS = -module -avoid-version $(all_libraries) -no-undefined
-kcm_locale_la_LIBADD = $(LIB_KIO)
+kcm_locale_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 # Note: newer glibc (e.g. zonetab version 1.31 (cvs revision 1.22) have more/other data than older ones (e.g. zonetab version 1.28)
 
diff -Nurd kdebase-3.5.10/kcontrol/nics/Makefile.am kdebase-3.5.10-new/kcontrol/nics/Makefile.am
--- kdebase-3.5.10/kcontrol/nics/Makefile.am	2005-09-10 01:25:05.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/nics/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -3,7 +3,7 @@
 kcm_nic_la_SOURCES = nic.cpp
 
 kcm_nic_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
-kcm_nic_la_LIBADD = -lkdeui $(LIB_KIO) $(LIBSOCKET)
+kcm_nic_la_LIBADD = -lkdeui $(LIB_KIO) $(LIBSOCKET) $(LIB_QT) $(LIB_KDECORE)
 
 AM_CPPFLAGS= $(all_includes)
 
diff -Nurd kdebase-3.5.10/kcontrol/performance/Makefile.am kdebase-3.5.10-new/kcontrol/performance/Makefile.am
--- kdebase-3.5.10/kcontrol/performance/Makefile.am	2005-09-10 01:25:11.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/performance/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -2,7 +2,7 @@
 
 kcm_performance_la_SOURCES = kcmperformance.cpp konqueror.cpp konqueror_ui.ui system.cpp system_ui.ui
 kcm_performance_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
-kcm_performance_la_LIBADD = -lkdeui
+kcm_performance_la_LIBADD = -lkdeui $(LIB_QT) $(LIB_KDECORE) -lDCOP
 AM_CPPFLAGS= $(all_includes) 
 
 METASOURCES = AUTO
diff -Nurd kdebase-3.5.10/kcontrol/privacy/Makefile.am kdebase-3.5.10-new/kcontrol/privacy/Makefile.am
--- kdebase-3.5.10/kcontrol/privacy/Makefile.am	2005-09-10 01:25:09.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/privacy/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -4,7 +4,7 @@
 kcm_privacy_la_SOURCES = privacy.cpp kprivacysettings.ui kcmprivacydialog.ui kprivacymanager.cpp
 
 kcm_privacy_la_LDFLAGS = -module -avoid-version $(all_libraries) -no-undefined
-kcm_privacy_la_LIBADD = $(LIB_KDEUI) -lkio
+kcm_privacy_la_LIBADD = $(LIB_KDEUI) -lkio $(LIB_QT) $(LIB_KDECORE) -lDCOP
 
 METASOURCES = AUTO
 
diff -Nurd kdebase-3.5.10/kcontrol/randr/Makefile.am kdebase-3.5.10-new/kcontrol/randr/Makefile.am
--- kdebase-3.5.10/kcontrol/randr/Makefile.am	2006-03-17 02:17:17.000000000 -0800
+++ kdebase-3.5.10-new/kcontrol/randr/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -10,7 +10,7 @@
 
 kcm_randr_la_SOURCES = krandrmodule.cpp
 kcm_randr_la_LDFLAGS = -module -avoid-version $(all_libraries) -no-undefined
-kcm_randr_la_LIBADD = librandrinternal.la $(LIB_KDEUI) $(LIB_XRANDR)
+kcm_randr_la_LIBADD = librandrinternal.la $(LIB_KDEUI) $(LIB_XRANDR) $(LIB_QT) $(LIB_KDECORE)
 
 noinst_HEADERS = randr.h krandrmodule.h krandrtray.h krandrapp.h ktimerdialog.h \
     krandrpassivepopup.h
@@ -30,7 +30,7 @@
 
 krandrtray_SOURCES = main.cpp krandrtray.cpp krandrapp.cpp krandrpassivepopup.cpp
 krandrtray_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-krandrtray_LDADD = librandrinternal.la $(LIB_KFILE) $(LIB_KUTILS) $(LIB_XRANDR)
+krandrtray_LDADD = librandrinternal.la $(LIB_KFILE) $(LIB_KUTILS) $(LIB_XRANDR) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP
 
 messages: rc.cpp
 	$(XGETTEXT) *.cpp -o $(podir)/krandr.pot
diff -Nurd kdebase-3.5.10/kcontrol/samba/Makefile.am kdebase-3.5.10-new/kcontrol/samba/Makefile.am
--- kdebase-3.5.10/kcontrol/samba/Makefile.am	2005-09-10 01:25:10.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/samba/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -3,7 +3,7 @@
 kcm_samba_la_SOURCES = main.cpp ksmbstatus.cpp kcmsambaimports.cpp kcmsambalog.cpp kcmsambastatistics.cpp
 
 kcm_samba_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
-kcm_samba_la_LIBADD = $(LIB_KIO)
+kcm_samba_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 AM_CPPFLAGS = $(all_includes)
 
diff -Nurd kdebase-3.5.10/kcontrol/screensaver/Makefile.am kdebase-3.5.10-new/kcontrol/screensaver/Makefile.am
--- kdebase-3.5.10/kcontrol/screensaver/Makefile.am	2005-09-10 01:25:10.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/screensaver/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -6,7 +6,7 @@
 kcm_screensaver_la_SOURCES = advanceddialogimpl.ui scrnsave.cpp testwin.cpp saverlist.cpp \
         saverconfig.cpp advanceddialog.cpp kswidget.cpp
 kcm_screensaver_la_LDFLAGS = -module -avoid-version $(all_libraries) -no-undefined
-kcm_screensaver_la_LIBADD = $(LIB_KSYCOCA) $(DPMSLIB) $(GLLIB)
+kcm_screensaver_la_LIBADD = $(LIB_KSYCOCA) $(DPMSLIB) $(GLLIB) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP
 METASOURCES = AUTO
 
 noinst_HEADERS = scrnsave.h
diff -Nurd kdebase-3.5.10/kcontrol/smartcard/Makefile.am kdebase-3.5.10-new/kcontrol/smartcard/Makefile.am
--- kdebase-3.5.10/kcontrol/smartcard/Makefile.am	2005-09-10 01:25:00.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/smartcard/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -5,7 +5,7 @@
 
 kcm_smartcard_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
 
-kcm_smartcard_la_LIBADD = -lkdeui -lksmartcard $(LIB_KIO)
+kcm_smartcard_la_LIBADD = -lkdeui -lksmartcard $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 
 METASOURCES = AUTO
 
diff -Nurd kdebase-3.5.10/kcontrol/smserver/Makefile.am kdebase-3.5.10-new/kcontrol/smserver/Makefile.am
--- kdebase-3.5.10/kcontrol/smserver/Makefile.am	2005-09-10 01:25:08.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/smserver/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -2,7 +2,7 @@
 
 kcm_smserver_la_SOURCES = kcmsmserver.cpp smserverconfigdlg.ui smserverconfigimpl.cpp
 kcm_smserver_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
-kcm_smserver_la_LIBADD = -lkdeui
+kcm_smserver_la_LIBADD = -lkdeui $(LIB_QT) $(LIB_KDECORE) -lDCOP
 AM_CPPFLAGS= $(all_includes) 
 
 METASOURCES = AUTO
diff -Nurd kdebase-3.5.10/kcontrol/spellchecking/Makefile.am kdebase-3.5.10-new/kcontrol/spellchecking/Makefile.am
--- kdebase-3.5.10/kcontrol/spellchecking/Makefile.am	2005-09-10 01:25:12.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/spellchecking/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -3,7 +3,7 @@
 kcm_spellchecking_la_SOURCES = spellchecking.cpp
 
 kcm_spellchecking_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
-kcm_spellchecking_la_LIBADD = -lkdeui
+kcm_spellchecking_la_LIBADD = -lkdeui $(LIB_QT) $(LIB_KDECORE) -lDCOP
 
 AM_CPPFLAGS= $(all_includes)
 
diff -Nurd kdebase-3.5.10/kcontrol/style/Makefile.am kdebase-3.5.10-new/kcontrol/style/Makefile.am
--- kdebase-3.5.10/kcontrol/style/Makefile.am	2006-03-17 02:17:17.000000000 -0800
+++ kdebase-3.5.10-new/kcontrol/style/Makefile.am	2010-05-13 05:26:40.000000000 -0700
@@ -6,7 +6,7 @@
 
 kcm_style_la_SOURCES = kcmstyle.cpp stylepreview.ui menupreview.cpp styleconfdialog.cpp
 kcm_style_la_LDFLAGS = $(KDE_RPATH) -module -avoid-version $(all_libraries) -no-undefined
-kcm_style_la_LIBADD = $(LIB_KIO) ../krdb/libkrdb.la
+kcm_style_la_LIBADD = $(LIB_KIO) ../krdb/libkrdb.la $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP -lkdefx
 METASOURCES = AUTO 
 
 noinst_HEADERS = kcmstyle.h stylepreview.h menupreview.h
diff -Nurd kdebase-3.5.10/kcontrol/style/keramik/Makefile.am kdebase-3.5.10-new/kcontrol/style/keramik/Makefile.am
--- kdebase-3.5.10/kcontrol/style/keramik/Makefile.am	2005-09-10 01:25:11.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/style/keramik/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -3,7 +3,7 @@
 noinst_HEADERS = keramikconf.h
 kde_module_LTLIBRARIES = kstyle_keramik_config.la
 kstyle_keramik_config_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-kstyle_keramik_config_la_LIBADD  = $(LIB_KDEUI)
+kstyle_keramik_config_la_LIBADD  = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
 kstyle_keramik_config_la_SOURCES = keramikconf.cpp
 METASOURCES = AUTO 
 
diff -Nurd kdebase-3.5.10/kcontrol/taskbar/Makefile.am kdebase-3.5.10-new/kcontrol/taskbar/Makefile.am
--- kdebase-3.5.10/kcontrol/taskbar/Makefile.am	2005-09-10 01:25:04.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/taskbar/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -2,7 +2,7 @@
 
 kcm_taskbar_la_SOURCES = kcmtaskbarui.ui kcmtaskbar.cpp
 kcm_taskbar_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
-kcm_taskbar_la_LIBADD = $(top_builddir)/kicker/taskbar/libtaskbar.la -lkdeui
+kcm_taskbar_la_LIBADD = $(top_builddir)/kicker/taskbar/libtaskbar.la -lkdeui $(LIB_QT) $(LIB_KDECORE)
 AM_CPPFLAGS = -I$(top_builddir)/kicker/taskbar $(all_includes) 
 
 METASOURCES = AUTO
diff -Nurd kdebase-3.5.10/kcontrol/usbview/Makefile.am kdebase-3.5.10-new/kcontrol/usbview/Makefile.am
--- kdebase-3.5.10/kcontrol/usbview/Makefile.am	2006-01-19 09:00:37.000000000 -0800
+++ kdebase-3.5.10-new/kcontrol/usbview/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -3,7 +3,7 @@
 kcm_usb_la_SOURCES = kcmusb.cpp usbdevices.cpp usbdb.cpp
 
 kcm_usb_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
-kcm_usb_la_LIBADD = $(LIB_KDEUI)
+kcm_usb_la_LIBADD = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
 
 AM_CPPFLAGS= $(all_includes) 
 
diff -Nurd kdebase-3.5.10/kcontrol/view1394/Makefile.am kdebase-3.5.10-new/kcontrol/view1394/Makefile.am
--- kdebase-3.5.10/kcontrol/view1394/Makefile.am	2005-09-10 01:25:11.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/view1394/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -3,7 +3,7 @@
 kcm_view1394_la_SOURCES = view1394widget.ui view1394.cpp
 
 kcm_view1394_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
-kcm_view1394_la_LIBADD = $(LIB_KDEUI) -lraw1394
+kcm_view1394_la_LIBADD = $(LIB_KDEUI) -lraw1394 $(LIB_QT) $(LIB_KDECORE)
 
 AM_CPPFLAGS= $(all_includes) 
 
diff -Nurd kdebase-3.5.10/kcontrol/xinerama/Makefile.am kdebase-3.5.10-new/kcontrol/xinerama/Makefile.am
--- kdebase-3.5.10/kcontrol/xinerama/Makefile.am	2005-09-10 01:25:11.000000000 -0700
+++ kdebase-3.5.10-new/kcontrol/xinerama/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -5,7 +5,7 @@
 kcm_xinerama_la_SOURCES = kcmxinerama.cpp xineramawidget.ui
 
 kcm_xinerama_la_LDFLAGS  = $(all_libraries) -module -avoid-version -no-undefined
-kcm_xinerama_la_LIBADD = -lkdeui
+kcm_xinerama_la_LIBADD = -lkdeui $(LIB_QT) $(LIB_KDECORE) -lDCOP
 
 METASOURCES = AUTO 
 
diff -Nurd kdebase-3.5.10/kdcop/Makefile.am kdebase-3.5.10-new/kdcop/Makefile.am
--- kdebase-3.5.10/kdcop/Makefile.am	2005-09-10 01:25:53.000000000 -0700
+++ kdebase-3.5.10-new/kdcop/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -7,10 +7,13 @@
 
 INCLUDES = $(all_includes)
 
-bin_PROGRAMS = kdcop
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kdcop.la
 
-kdcop_SOURCES = kdcop.cpp kdcopwindow.cpp kdcoplistview.cpp kdcopview.ui
-kdcop_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_KDEUI) $(LIB_KDECORE) $(LIB_KIO) -lDCOP $(LIB_QT)
+kdcop_la_SOURCES = kdcop.cpp kdcopwindow.cpp kdcoplistview.cpp kdcopview.ui
+kdcop_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+kdcop_la_LIBADD  = $(LIB_KDEUI) $(LIB_KDECORE) $(LIB_KIO) -lDCOP $(LIB_QT)
 
 noinst_HEADERS = kdcopwindow.h
 METASOURCES =	AUTO
diff -Nurd kdebase-3.5.10/kdcop/kdcop.cpp kdebase-3.5.10-new/kdcop/kdcop.cpp
--- kdebase-3.5.10/kdcop/kdcop.cpp	2005-09-10 01:25:53.000000000 -0700
+++ kdebase-3.5.10-new/kdcop/kdcop.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -15,7 +15,7 @@
     KCmdLineLastOption
 };
 
-int main( int argc, char ** argv )
+extern "C" KDE_EXPORT int kdemain( int argc, char ** argv )
 {
   KAboutData aboutData( "kdcop", I18N_NOOP("KDCOP"),
 			"0.1", I18N_NOOP( "A graphical DCOP browser/client" ),
diff -Nurd kdebase-3.5.10/kdebugdialog/Makefile.am kdebase-3.5.10-new/kdebugdialog/Makefile.am
--- kdebase-3.5.10/kdebugdialog/Makefile.am	2005-09-10 01:24:57.000000000 -0700
+++ kdebase-3.5.10-new/kdebugdialog/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -4,12 +4,14 @@
 
 ####### Files
 
-bin_PROGRAMS = kdebugdialog
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kdebugdialog.la
 
-kdebugdialog_SOURCES = main.cpp kabstractdebugdialog.cpp kdebugdialog.cpp klistdebugdialog.cpp
-kdebugdialog_METASOURCES = AUTO
-kdebugdialog_LDFLAGS =       $(all_libraries) $(KDE_RPATH)
-kdebugdialog_LDADD   =       $(LIB_KDEUI)
+kdebugdialog_la_SOURCES = main.cpp kabstractdebugdialog.cpp kdebugdialog.cpp klistdebugdialog.cpp
+kdebugdialog_la_METASOURCES = AUTO
+kdebugdialog_la_LDFLAGS =       $(all_libraries) $(KDE_PLUGIN) -module
+kdebugdialog_la_LIBADD   =       $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 
 messages:
 	$(XGETTEXT) *.cpp -o $(podir)/kdebugdialog.pot	
diff -Nurd kdebase-3.5.10/kdebugdialog/main.cpp kdebase-3.5.10-new/kdebugdialog/main.cpp
--- kdebase-3.5.10/kdebugdialog/main.cpp	2005-10-10 08:03:40.000000000 -0700
+++ kdebase-3.5.10-new/kdebugdialog/main.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -75,7 +75,7 @@
   KCmdLineLastOption
 };
 
-int main(int argc, char ** argv)
+extern "C" KDE_EXPORT int kdemain(int argc, char ** argv)
 {
   KAboutData data( "kdebugdialog", I18N_NOOP( "KDebugDialog"),
     "1.0", I18N_NOOP("A dialog box for setting preferences for debug output"),
diff -Nurd kdebase-3.5.10/kdepasswd/Makefile.am kdebase-3.5.10-new/kdepasswd/Makefile.am
--- kdebase-3.5.10/kdepasswd/Makefile.am	2005-09-10 01:24:59.000000000 -0700
+++ kdebase-3.5.10-new/kdepasswd/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -1,10 +1,13 @@
 
 SUBDIRS = kcm
 
-bin_PROGRAMS = kdepasswd
-kdepasswd_SOURCES = kdepasswd.cpp passwd.cpp passwddlg.cpp
-kdepasswd_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kdepasswd_LDADD = $(LIB_KIO)
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kdepasswd.la
+
+kdepasswd_la_SOURCES = kdepasswd.cpp passwd.cpp passwddlg.cpp
+kdepasswd_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+kdepasswd_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) $(LIB_KIO) $(LIB_KDEUI) -lkdesu
 
 METASOURCES =  AUTO
 AM_CPPFLAGS= -I$(top_srcdir)/libkonq $(all_includes)
diff -Nurd kdebase-3.5.10/kdepasswd/kcm/Makefile.am kdebase-3.5.10-new/kdepasswd/kcm/Makefile.am
--- kdebase-3.5.10/kdepasswd/kcm/Makefile.am	2005-09-10 01:24:59.000000000 -0700
+++ kdebase-3.5.10-new/kdepasswd/kcm/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -3,7 +3,7 @@
 kcm_useraccount_la_SOURCES = main_widget.ui chfnprocess.cpp \
 			     main.cpp chfacedlg.cpp settings.kcfgc pass.kcfgc
 kcm_useraccount_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
-kcm_useraccount_la_LIBADD = $(top_builddir)/libkonq/libkonq.la
+kcm_useraccount_la_LIBADD = $(top_builddir)/libkonq/libkonq.la -lkdesu
 
 AM_CPPFLAGS = -I$(top_srcdir)/libkonq $(all_includes)
 
diff -Nurd kdebase-3.5.10/kdepasswd/kdepasswd.cpp kdebase-3.5.10-new/kdepasswd/kdepasswd.cpp
--- kdebase-3.5.10/kdepasswd/kdepasswd.cpp	2005-09-10 01:24:59.000000000 -0700
+++ kdebase-3.5.10-new/kdepasswd/kdepasswd.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -26,7 +26,7 @@
 };
 
 
-int main(int argc, char **argv)
+extern "C" KDE_EXPORT int kdemain(int argc, char **argv)
 {
     KAboutData aboutData("kdepasswd", I18N_NOOP("KDE passwd"),
             VERSION, I18N_NOOP("Changes a UNIX password."),
diff -Nurd kdebase-3.5.10/kdeprint/kdeprint_part/Makefile.am kdebase-3.5.10-new/kdeprint/kdeprint_part/Makefile.am
--- kdebase-3.5.10/kdeprint/kdeprint_part/Makefile.am	2005-09-10 01:25:38.000000000 -0700
+++ kdebase-3.5.10-new/kdeprint/kdeprint_part/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -4,7 +4,7 @@
 
 libkdeprint_part_la_SOURCES = printpart.cpp
 libkdeprint_part_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
-libkdeprint_part_la_LIBADD = -lkdeprint_management $(LIB_KPARTS)
+libkdeprint_part_la_LIBADD = -lkdeprint_management $(LIB_KPARTS) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 noinst_HEADERS = printpart.h
 
